javax.ejb

## Class TransactionRolledbackLocalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.ejb.EJBException
        - - javax.ejb.TransactionRolledbackLocalException

- All Implemented Interfaces:
    Serializable

      public class TransactionRolledbackLocalException
      extends EJBException

  This exception is thrown to a local client to indicate that the transaction associated with processing of the request has been rolled back, or marked to roll back. Thus the requested operation either could not be performed or was not performed because further computation on behalf of the transaction would be fruitless.
  Since:
    EJB 2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionRolledbackLocalException()` Constructs a TransactionRolledbackLocalException with no detail message.
    `TransactionRolledbackLocalException(String message)` Constructs a TransactionRolledbackLocalException with the specified detailed message.
    `TransactionRolledbackLocalException(String message, Exception ex)` Constructs a TransactionRolledbackLocalException with the specified detail message and a nested exception.

  - ### Method Summary

    - ### Methods inherited from class javax.ejb.EJBException

      `getCausedByException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionRolledbackLocalException

          public TransactionRolledbackLocalException()

      Constructs a TransactionRolledbackLocalException with no detail message.

    - #### TransactionRolledbackLocalException

          public TransactionRolledbackLocalException(String message)

      Constructs a TransactionRolledbackLocalException with the specified detailed message.

    - #### TransactionRolledbackLocalException

          public TransactionRolledbackLocalException(String message,
                                             Exception ex)

      Constructs a TransactionRolledbackLocalException with the specified detail message and a nested exception.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.